<script>
	import SVG from "@/components/svg.svelte"

	import { createEventDispatcher } from "svelte"
	import { isLight } from "@/stores/static"

	export let style = "light"
	export let noIcon = false

	const emit = createEventDispatcher()
</script>

<!-- svelte-ignore a11y-click-events-have-key-events -->
<div class="tag is-flex is-align-items-center is-justify-content-center {style}" class:dark={!$isLight} on:click={() => emit("click")}>
	<span><slot /></span>
	{#if !noIcon}
		<!-- svelte-ignore a11y-click-events-have-key-events -->
		<span class="icon is-flex" on:click={() => emit("close")}>
			<SVG folder="icons" name="xmark" />
		</span>
	{/if}
</div>

<style lang="scss">
	.tag {
		font-size: .875rem;
		font-weight: 300;
		padding: .5rem;
		cursor: pointer;
		* {
			user-select: none;
		}
		span + span {
			margin-left: .5rem;
		}
		.icon {
			width: 1rem;
			:global(svg) {
				height: 1rem;
			}
			:global(svg path) {
				transition: fill .2s ease-in-out;
			}
		}
		&.light {
			color: $black;
			border: 1px solid $gray-dark;
			transition: 
				color .2s ease-in-out,
				border-color .2s ease-in-out;
			.icon {
				:global(svg path) {
					fill: $black;
				}
			}
			&.dark {
				color: $white;
				border-color: #434343;
				.icon {
					:global(svg path) {
						fill: $white;
					}
				}
			}
		}
		&.danger {
			color: $red;
			border: 1px solid $red;
			.icon {
				:global(svg path) {
					fill: $red;
				}
			}
		}
	}
</style>